Import batch run archive
POST
/api/v1/runs/upload-batch
const url = 'https://example.com/api/v1/runs/upload-batch?projectId=00000000-0000-0000-0000-000000000000';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/api/v1/runs/upload-batch?projectId=00000000-0000-0000-0000-000000000000'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” projectId
required
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
string
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
Responses
Section titled “ Responses ”Multi-status: 201 if all runs imported, 400 if none imported, 207 if partial
No archive uploaded, empty archive, or all runs failed